import request from "@/api/request.js";

// 基本信息
/**
 * @param {id} 
 */
export function getDecreeBasicInfo(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderInfo/basicInfo/${params.id}`,
        params
    })
}

// 主要指令
/**
 * @param {currentPage, id, pageSize} 
 */
export function getDecreeMainContent(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderInfo/mainContent/${params.id}`,
        params
    })
}

// 执行机构
/**
 * @param {id} 
 */
export function getDecreeOrganization(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderInfo/organization/${params.id}`,
        params
    })
}

// 发布机构
/**
 * @param {id} 
 */
export function getDecreeIssueOrganization(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderInfo/issueOrganization/${params.id}`,
        params
    })
}

// 获取全局信息
/**
 * @param {id} 
 */
export function getDecreeSummary(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderInfo/summary/${params.id}`,
        params
    })
}

// 获取风险信号
/**
 * @param {id} 
 */
export function getDecreeRiskSignal(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderInfo/riskSignal/${params.id}`,
        params
    })
}

export function getDecreeReport(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderInfo/contentUrl/${params.id}`,
    })
}

// 政令关键词云
export function getKeyWordUp() {
    return request({
        method: 'GET',
        url: `/api/element/getKeyWordUp/2025-01-01`,
    })
}

// 报告内容摘要
export function getOverview(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderInfo/overview/${params.id}`,
    })
}